/**********************************************************************************************/
/* FBL_CriticalNative.h																		  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/
 
#ifndef __FBL_CriticalNative_h
	#define __FBL_CriticalNative_h

#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/FBL.h>
#else
#	include <FBL.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_CriticalNative;


/**********************************************************************************************/
FBL_CriticalNative* FBL_CreateCritical( void );


/**********************************************************************************************/
class FBL_CriticalNative
{
	public://///////////////////////////////////////////////////////////////////////////////////
	 
								FBL_CriticalNative( void )	{}								
virtual 						~FBL_CriticalNative( void )	{}
						
virtual void 					Lock( void ) 	= 0;
virtual	void 					Unlock( void ) 	= 0;

};


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif // __FBL_CriticalNative_h