/**********************************************************************************************/
/* OBL.h																		 	  		  */
/*                                                                       					  */
/* Object Base Library ( OBL )			                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002                                        					  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/

#ifndef __OBL_h
   #define __OBL_h

#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/FBL.h>
#	include <VSDK/OBL_Exceptions.h>
#else
#	include <FBL.h>
#	include <OBL_Exceptions.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
// When OBL will fixed the __CHECK_OBL must be set in 0
// __CHECK_OBL == 1 must use just library developer.

#define __CHECK_OBL 1

#if __CHECK_OBL == 0
	#define CHECK_OBL(p) (void(0))
#else
	#define CHECK_OBL(p) CHECK(p)
#endif
	

/**********************************************************************************************/
void OBL_ptocstrcpy( char* pDest, StringPtr src );


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif // __OBL_h
