/**********************************************************************************************/
/* FBL_Version.h																			  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002                                       					  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/

#ifndef __FBL_Version_h
	#define __FBL_Version_h


/**********************************************************************************************/
#define kFBL_KernelVersionMajor					0x01
#define kFBL_KernelVersionMinor					0x0C
#define kFBL_KernelVersionRevision				0x00	
#define kFBL_KernelVersionMinorAndRevision		0xC0

#ifdef FBL_MAC
#define kFBL_KernelVersionStage					finalStage
#else
#define kFBL_KernelVersionStage					0xC0
#endif

#define kFBL_KernelVersionInternalRelease		0x0
#define	kFBL_KernelVersionString				"1.12"

	// Glue them all together for easy comparison
#ifndef REZ
#define	kFBL_KernelVersion									\
	((ulong(kFBL_KernelVersionMajor) 			<< 24) | 	\
	 (ulong(kFBL_KernelVersionMinor    & 0x0F) 	<< 20) | 	\
	 (ulong(kFBL_KernelVersionRevision & 0x0F) 	<< 16) | 	\
	 (ulong(kFBL_KernelVersionStage) 			<<  8) | 	\
	 (ulong(kFBL_KernelVersionInternalRelease)))
#endif


/**********************************************************************************************/
#endif	// __FBL_Version_h


